//=========================================================================
/** Java Bridge Design Pattern - Testprogramm
 *  Created on 15.11.2003
 */
//=========================================================================
public class Bridge
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      BRModel              rModel  = new BRModel();
      BRBridge             rBridge = new BRBridge(rModel);
      BRViewVerkaeufer     rView1  = new BRViewVerkaeufer(rBridge);
      BRViewVerkaufsleiter rView2  = new BRViewVerkaufsleiter(rBridge);
      
      rView1.showWarenListe();
      rView2.showWarenListe();
   }
}
