//=========================================================================
/** Java Command Design Pattern - Befehl Resize
 */
//=========================================================================
public class CMCommandResize extends CMCommand
{
   private double fFactor = 1.0;
   
   //----------------------------------------------------------------------
   public CMCommandResize()
   {
      super("Resize");
   }
   
   //----------------------------------------------------------------------
   public Object getData()
   {
      return new Double(fFactor);
   }

   //----------------------------------------------------------------------
   public void setData(Object pData)
   {
      try
      {
         fFactor = ((Double)pData).doubleValue();
      }
      catch (ClassCastException e)
      {
         System.out.println(e);
      }
   }
}
