//=========================================================================
/** Java Composite Design Pattern - Linie
 */
//=========================================================================
public class COLinie extends COElement
{
   private int x1;
   private int y1;
   private int x2;
   private int y2;

   public COLinie(int px1, int py1, int px2, int py2)
   {
      super();
      set(px1, py1, px2, py2);
   }
   
   //----------------------------------------------------------------------
   public void set(int px1, int py1, int px2, int py2)
   {
      x1 = px1;
      y1 = py1;
      x2 = px2;
      y2 = py2;
   }
   
   //----------------------------------------------------------------------
   public String toString()
   {
      return toString(0);
   }
   
   //----------------------------------------------------------------------
   public String toString(int pLevel)
   {
      StringBuffer sb = new StringBuffer();
      for (int i=0; i<pLevel; i++)
      {
         sb.append("  ");
      }
      sb.append ("Linie: " + x1 + ", " + y1 + ", " + x2 + ", " + y2);
      return sb.toString();
   }
}
