//=========================================================================
/** Java Prototype Design Pattern - Linie
 */
//=========================================================================
public class PRLinie extends PRGraphicElement
{
   private int xKoordinate1 = 0;
   private int yKoordinate1 = 0; 
   private int xKoordinate2 = 0;
   private int yKoordinate2 = 0; 
   
   //----------------------------------------------------------------------
   public PRLinie(int px1, int py1, int px2, int py2)
   {
      super();
      xKoordinate1 = px1; 
      yKoordinate1 = py1;
      xKoordinate2 = px2; 
      yKoordinate2 = py1;
   }

   //----------------------------------------------------------------------
   public Object clone()
   {
      PRLinie rRC = new PRLinie(xKoordinate1, yKoordinate1, xKoordinate2, yKoordinate2);
      return rRC;
   }

   //----------------------------------------------------------------------
   public String toString()
   {
      StringBuffer sb = new StringBuffer();
      sb.append ("[#"+ hashCode() + "] Linie: " + xKoordinate1 + ", " + yKoordinate1 + ", " 
                              + xKoordinate2 + ", " + yKoordinate2);
      return sb.toString();
   }
}
