//=========================================================================
/** Java Singleton Design Pattern - Sicherungsstrategie, sichern als
 *  einfacher ANSI-Text
 */
//=========================================================================
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class STSaveStrategyPlaintext extends STSaveStrategy
{
   //----------------------------------------------------------------------
   public STSaveStrategyPlaintext()
   {
      super();
   }

   //----------------------------------------------------------------------
   public void save(String pText)
   {
      try
      {
         FileWriter  rFileOut = new FileWriter("C:\\test.txt");
         PrintWriter rOut     = new PrintWriter(rFileOut);
         rOut.println(pText);
         rFileOut.close();
         System.out.println ("Saved as Plaintext");
      }
      catch (IOException e)
      {
         System.out.println(e);
      }
   }
}
