//=========================================================================
/** Java Template Method Design Pattern - TMKunde, Erweiterung von TMPerson
 *  Created on 18.04.2003
 */
//=========================================================================
import java.io.FileWriter;

public class TMKunde extends TMPerson 
{
    private int nKundennummer = 0;
	//-------------------------------------------------------------------------
	// Constructor
	//-------------------------------------------------------------------------
	public TMKunde (String sNew, int nNew)
	{
		super(sNew);
		nKundennummer = nNew;
	}
	
	//-------------------------------------------------------------------------
	// save_write muss hier berschrieben werden
	//-------------------------------------------------------------------------
	protected void save_write (FileWriter rDatei)
	{
		try
		{
			rDatei.write("TMKunde:");
			rDatei.write("\n");
			rDatei.write(getName());
			rDatei.write("\n");
			rDatei.write(Integer.toString(nKundennummer));
			rDatei.write("\n");
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	//-------------------------------------------------------------------------
	// setKundennummer (int)
	//-------------------------------------------------------------------------
 	public void setKundennummer (int nNew)
 	{
		nKundennummer = nNew;
	}

	//-------------------------------------------------------------------------
	// getKundennummer ()
	//-------------------------------------------------------------------------
	 public int getKundennummer ()
	 {
		 return nKundennummer;
	 }
}
