//=========================================================================
/** Java Bridge Design Pattern - Bridge, Brckenschlag zwischen den 
 *  Ausgabevarianten
 *  Created on 15.11.2003
 */
//=========================================================================
import java.util.Vector;

public class BRBridge
{
   private BRModel rModel = null;
   
   //---------------------------------------------------------------------------
   /**
    * Constructor
    */
   //---------------------------------------------------------------------------
   public BRBridge(BRModel pModel)
   {
      super();
      rModel = pModel;
   }

   //---------------------------------------------------------------------------
   /**
    * getVerkaeuferListe
    */
   //---------------------------------------------------------------------------
   public Vector getVerkaeuferListe()
   {
      Vector vListe = new Vector();
      Vector vModelListe = (Vector)rModel.getWaren();
      
      for (int i=0; i<vModelListe.size(); i++)
      {
         vListe.add (new BRVerkaeuferListeItem ((BRModelItem)vModelListe.elementAt(i)));
      }
      return vListe;
   }

   //---------------------------------------------------------------------------
   /**
    * getVerkaufsleiterListe
    */
   //---------------------------------------------------------------------------
   public Vector getVerkaufsleiterListe()
   {
      Vector vListe = new Vector();
      Vector vModelListe = (Vector)rModel.getWaren();
      
      for (int i=0; i<vModelListe.size(); i++)
      {
         vListe.add (new BRVerkaufsleiterListeItem ((BRModelItem)vModelListe.elementAt(i)));
      }
      return vListe;
   }
}
