//=========================================================================
/** Java Builder Design Pattern - Konvertierungsobjekt, Meter->Inch
 *  Created on 11.12.2003
 */
//=========================================================================
public class BUBuilderMeter2Inch extends BUBuilderAbstract
{
   //----------------------------------------------------------------------
   public BUBuilderMeter2Inch()
   {
      super();
   }
   
   //----------------------------------------------------------------------
   public Object construct(Object pObject)
   {
      BUMeasurementInch rInch = null;
      if (pObject instanceof BUMeasurementMeter)
      {
         BUMeasurementMeter rMeter = (BUMeasurementMeter)pObject;
         rInch = new BUMeasurementInch(rMeter.get() * 100 / 2.54);
      }
      return rInch;
   }
}
