//=========================================================================
/** Java Factory Design Pattern - Fabrik
 */
//=========================================================================
import java.util.Vector;

public class FAFactory
{
   private Vector vElemente = null;

   public FAFactory ()
   {
      super();
      if (vElemente == null)
      {
         // Dies wrde man aus einer Konfigurationsdatei lesen
         vElemente = new Vector();
         vElemente.add ("Kreis");
         vElemente.add ("Rechteck");
         vElemente.add ("Linie");
      }
   }
   
   // Das Konstruieren wrde ber Reflection geschehen
   public FAGraphicElement create(String pElement)
   {
      System.out.println ("create: " + pElement);
      FAGraphicElement rRC = null;
      if (pElement != null)
      {
         if (pElement.equals("Kreis"))
         {
            rRC = new FAKreis();
         }
         else if (pElement.equals("Rechteck"))
         {
            rRC = new FARechteck();
         }
         if (pElement.equals("Linie"))
         {
            rRC = new FALinie();
         }
      }
      return rRC;
   }
   
   //----------------------------------------------------------------------
   public Vector getElemente()
   {
      return vElemente;
   }
}
