//=========================================================================
/** Java Factory Design Pattern - Rechteck
 */
//=========================================================================
import java.util.Vector;

public class FARechteck extends FAGraphicElement
{
   private int xKoordinate1 = 0;
   private int yKoordinate1 = 0; 
   private int xKoordinate2 = 0;
   private int yKoordinate2 = 0; 
   private static Vector vProperties = null;
   
   //----------------------------------------------------------------------
   public FARechteck()
   {
      super();
      if (vProperties == null)
      {
         vProperties = new Vector();
         vProperties.add ("xKoordinate1");
         vProperties.add ("yKoordinate1");
         vProperties.add ("xKoordinate2");
         vProperties.add ("yKoordinate2");
      }
   }

   //----------------------------------------------------------------------
   public Vector getProperties()
   {
      return vProperties;
   }

   //----------------------------------------------------------------------
   public String getProperty(String pProperty)
   {
      String sRC = null;
      if (pProperty != null)
      {
         if (pProperty.equals("xKoordinate1"))
         {
            sRC = new String (Integer.toString(xKoordinate1));
         }
         else if (pProperty.equals("yKoordinate1"))
         {
            sRC = new String (Integer.toString(yKoordinate1));
         }
         if (pProperty.equals("xKoordinate2"))
         {
            sRC = new String (Integer.toString(xKoordinate2));
         }
         else if (pProperty.equals("yKoordinate2"))
         {
            sRC = new String (Integer.toString(yKoordinate2));
         }
      }
      return sRC;
   }

   //----------------------------------------------------------------------
   public void setProperty(String pProperty, String pValue)
   {
      if ((pProperty != null) && (pValue != null))
      {
         if (pProperty.equals("xKoordinate1"))
         {
            xKoordinate1 = Integer.parseInt(pValue);
         }
         else if (pProperty.equals("yKoordinate1"))
         {
            yKoordinate1 = Integer.parseInt(pValue);
         }
         if (pProperty.equals("xKoordinate2"))
         {
            xKoordinate2 = Integer.parseInt(pValue);
         }
         else if (pProperty.equals("yKoordinate2"))
         {
            yKoordinate2 = Integer.parseInt(pValue);
         }
      }
   }
   
   //----------------------------------------------------------------------
   public String toString()
   {
      StringBuffer sb = new StringBuffer();
      sb.append ("Rechteck: " + xKoordinate1 + ", " + yKoordinate1 + ", " 
                              + xKoordinate2 + ", " + yKoordinate2);
      return sb.toString();
   }
}
