//=========================================================================
/** Java Prototype Design Pattern - Kreis
 */
//=========================================================================
public class PRKreis extends PRGraphicElement
{
   private int xKoordinate = 0;
   private int yKoordinate = 0; 
   private int nRadius     = 0;
   
   //----------------------------------------------------------------------
   public PRKreis(int px, int py, int pRad)
   {
      super();
      xKoordinate = px;
      yKoordinate = py; 
      nRadius     = pRad;
   }

   //----------------------------------------------------------------------
   public Object clone()
   {
      PRKreis rRC = new PRKreis(xKoordinate, yKoordinate, nRadius);
      return rRC;
   }

   //----------------------------------------------------------------------
   public String toString()
   {
      StringBuffer sb = new StringBuffer();
      sb.append ("[#"+ hashCode() + "] Kreis: " + xKoordinate + ", " + yKoordinate + ", rad " + nRadius);
      return sb.toString();
   }
}
