//=========================================================================
/** Java Proxy Design Pattern - Datenliste
 */
//=========================================================================
import java.util.Vector;

public class PXDatalist
{
   private Vector vList = null;
   
   //----------------------------------------------------------------------
   public PXDatalist()
   {
      super();
      vList = new Vector();
   }
   
   //----------------------------------------------------------------------
   public void add (PXDatalistItem pItem)
   {
      vList.add(pItem);
   }

   //----------------------------------------------------------------------
   public void remove (int pIdx)
   {
      if (pIdx >= 0 && pIdx < vList.size())
      { 
         vList.remove(pIdx);
      }
   }

   //----------------------------------------------------------------------
   public PXDatalistItem get (int pIdx)
   {
      PXDatalistItem rRC = null;
      if (pIdx >= 0 && pIdx < vList.size())
      { 
         rRC = (PXDatalistItem)vList.elementAt(pIdx);
      }
      return rRC;
   }

   //----------------------------------------------------------------------
   public int size ()
   {
      return vList.size();
   }
}
