//=========================================================================
/** Java Proxy Design Pattern - Visitorproxy
 */
//=========================================================================
public class PXVisitorProxy implements IPXDatalistProxy
{
   private PXDatalist rList = null;
   
   //----------------------------------------------------------------------
   public PXVisitorProxy(PXDatalist pList)
   {
      super();
      rList = pList;
   }

   //----------------------------------------------------------------------
   public void anlegen (String pVorname, String pNachname, int pKdNr)
   {
      System.out.println("Sie haben keine Berechtigung, um Daten anzulegen");
   }
   
   //----------------------------------------------------------------------
   public void aendern (int pIdx, String pVorname, String pNachname, int pKdNr)
   {
      System.out.println("Sie haben keine Berechtigung, um Daten zu ndern");
   }
   
   //----------------------------------------------------------------------
   public void loeschen (int pIdx)
   {
      System.out.println("Sie haben keine Berechtigung, um Daten zu lschen");
   }
   
   //----------------------------------------------------------------------
   public void anzeigen (int pIdx)
   {
      PXDatalistItem rItem = rList.get(pIdx); 
      if (rItem != null)
      {
         System.out.println(rItem.getNachname() + ", " + rItem.getVorname());
      }
   }
   
   //----------------------------------------------------------------------
   public void anzeigen ()
   {
      for (int i=0; i<rList.size(); i++)
      {
         anzeigen(i);
      }
   }
}
