//=========================================================================
/** Java Template Method Design Pattern - Testprogramm
 *  Created on 18.04.2003
 */
//=========================================================================
import java.io.FileWriter;
import java.util.Vector;

public class TemplateMethod 
{
   //-------------------------------------------------------------------------
   // Hauptprogramm
   //-------------------------------------------------------------------------
	public static void main(String[] args) 
	{
		Vector aObjekte = new Vector(); 

		aObjekte.add (new TMKunde("Heinz", 12));
		aObjekte.add (new TMKunde("Fritz", 44));
		aObjekte.add (new TMProdukt("Zahnpasta", 0.59));
  
		FileWriter   aStream      = null;
		int          i            = 0;
		int          aI           = 0;
		String       sFilename    = null;
		TMFilesaver  rTMFilesaver = null;
		
		for (i=0; i<aObjekte.size(); i++)
		{
			try
			{
				sFilename = new String ("c:\\File_" + i);
				rTMFilesaver = (TMFilesaver)(aObjekte.elementAt(i));
				aStream = rTMFilesaver.save (aStream, sFilename);
			}
			catch (Exception e)
			{
				e.printStackTrace();
			}
		}
	}
}
